com.hazelcast.jet.function

## Interface DistributedLongUnaryOperator

- All Superinterfaces:
    LongUnaryOperator, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedLongUnaryOperator
      extends LongUnaryOperator, Serializable

  `Serializable` variant of `java.util.function.LongUnaryOperator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedLongUnaryOperator` | `andThen(DistributedLongUnaryOperator after)` `Serializable` variant of `java.util.function.LongUnaryOperator#andThen(LongUnaryOperator)`.
    `default long` | `applyAsLong(long operand)`
    `long` | `applyAsLongEx(long operand)` Exception-declaring version of `LongUnaryOperator.applyAsLong(long)`.
    `default DistributedLongUnaryOperator` | `compose(DistributedLongUnaryOperator before)` `Serializable` variant of `java.util.function.LongUnaryOperator#compose(LongUnaryOperator)`.
    `static DistributedLongUnaryOperator` | `identity()` `Serializable` variant of `java.util.function.LongUnaryOperator#identity()`.

    - ### Methods inherited from interface java.util.function.LongUnaryOperator

      `andThen, compose`

- - ### Method Detail

    - #### applyAsLongEx

          long applyAsLongEx(long operand)
                      throws Exception

      Exception-declaring version of `LongUnaryOperator.applyAsLong(long)`.
      Throws:
        `Exception`

    - #### applyAsLong

          default long applyAsLong(long operand)

      Specified by:
        `applyAsLong` in interface `LongUnaryOperator`

    - #### identity

          static DistributedLongUnaryOperator identity()

      `Serializable` variant of `java.util.function.LongUnaryOperator#identity()`.
      Specified by:
        `identity` in interface `LongUnaryOperator`

    - #### compose

          default DistributedLongUnaryOperator compose(DistributedLongUnaryOperator before)

      `Serializable` variant of `java.util.function.LongUnaryOperator#compose(LongUnaryOperator)`.

    - #### andThen

          default DistributedLongUnaryOperator andThen(DistributedLongUnaryOperator after)

      `Serializable` variant of `java.util.function.LongUnaryOperator#andThen(LongUnaryOperator)`.

Copyright © 2018. All rights reserved.